Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1684533 - net.ipv6.conf.all.forwarding disabled in qrouter causing inter-tenant to fail when neutron router does not have a gateway
Summary: net.ipv6.conf.all.forwarding disabled in qrouter causing inter-tenant to fail...
Keywords:
Status: VERIFIED
Alias: None
Product: Red Hat OpenStack
Classification: Red Hat
Component: openstack-neutron
Version: 10.0 (Newton)
Hardware: x86_64
OS: Linux
high
high
Target Milestone: async
: 10.0 (Newton)
Assignee: Slawek Kaplonski
QA Contact: Federico Ressi
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-03-01 13:16 UTC by Jaison Raju
Modified: 2019-04-15 10:37 UTC (History)
11 users (show)

Fixed In Version: openstack-neutron-9.4.1-38.el7ost
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed:
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Launchpad 1818224 None None None 2019-03-01 13:16:27 UTC
OpenStack gerrit 640746 None None None 2019-03-04 12:22:00 UTC

Description Jaison Raju 2019-03-01 13:16:28 UTC
Description of problem:
ipv6 vxlan tenant based Instance cannot ping Instance from another tenant over a neutron router.
2 tenant subnets were created with ipv6 addressing mode as 'dhcpv6-stateful' & have a port on a ha router.

Each instance was able to ping the IP of other tenant subnet's port which is on router. & the vice-versa is true.
Although instance could not ping other tenant subnet's gateway or the other guest.

We noticed that ipv6 forwarding was disabled in the qrouter namespace.
  sudo ip netns exec qrouter-3345aeb1-c4a9-4e43-b2d6-e41929d1ff6f sysctl net.ipv6.conf.all.forwarding
After enabling this, ping works well.
  sudo ip netns exec qrouter-3345aeb1-c4a9-4e43-b2d6-e41929d1ff6f sysctl -w net.ipv6.conf.all.forwarding=1


Version-Release number of selected component (if applicable):
RHOS10
neutron 9.4.1-28

How reproducible:
Always in customer environment

Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:


Note You need to log in before you can comment on or make changes to this bug.